/*
 * 
 * Backpack - Skyscanner's Design System
 * 
 * Copyright 2016-2021 Skyscanner Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 */
export const autosuggestListBackgroundColor = "rgb(255, 255, 255)";
export const autosuggestListItemActiveBackgroundColor = "rgb(221, 221, 229)";
export const autosuggestListItemHighlightedBackgroundColor = "rgb(241, 242, 248)";
export const backgroundAlternativeLightColor = "rgb(241, 242, 248)";
export const backgroundAlternativeSecondaryLightColor = "rgb(255, 255, 255)";
export const backgroundLightColor = "rgb(255, 255, 255)";
export const backgroundSecondaryLightColor = "rgb(241, 242, 248)";
export const backgroundTertiaryLightColor = "rgb(255, 255, 255)";
export const badgeBackgroundColor = "rgb(255, 181, 77)";
export const badgeCenteredVerticalAlign = "text-bottom";
export const badgePaddingX = ".5rem";
export const badgePaddingY = ".25rem";
export const bannerAlertBackgroundColor = "rgb(255, 255, 255)";
export const bannerAlertChildrenColor = "rgb(104, 105, 127)";
export const bannerAlertChildrenPaddingX = ".75rem";
export const bannerAlertChildrenPaddingY = ".375rem";
export const bannerAlertErrorColor = "rgb(209, 67, 91)";
export const bannerAlertEventColor = "rgb(90, 72, 155)";
export const bannerAlertExpandIconFill = "rgb(68, 69, 96)";
export const bannerAlertHeaderExpandableActiveBackgroundColor = "rgb(221, 221, 229)";
export const bannerAlertHeaderExpandableHoverBackgroundColor = "rgb(241, 242, 248)";
export const bannerAlertHeaderPaddingX = ".75rem";
export const bannerAlertHeaderPaddingY = ".375rem";
export const bannerAlertNeutralColor = "rgb(104, 105, 127)";
export const bannerAlertPrimaryColor = "rgb(7, 112, 227)";
export const bannerAlertSuccessColor = "rgb(0, 166, 152)";
export const bannerAlertWarnColor = "rgb(255, 181, 77)";
export const borderRadiusMd = ".75rem";
export const borderRadiusPill = "1.125rem";
export const borderRadiusPillLg = "1.3125rem";
export const borderRadiusSm = ".375rem";
export const borderRadiusXs = ".25rem";
export const borderSizeLg = "2px";
export const borderSizeSm = "1px";
export const borderSizeXl = "3px";
export const boxShadowLg = "0px 4px 14px 0px rgba(37,32,31,.25)";
export const boxShadowSm = "0px 1px 3px 0px rgba(37,32,31,.3)";
export const boxShadowXl = "0px 12px 50px 0px rgba(37,32,31,.25)";
export const breakpointDesktop = "71.25rem";
export const breakpointMobile = "32.25rem";
export const breakpointQueryAboveDesktop = "(min-width: 71.3125rem)";
export const breakpointQueryAboveMobile = "(min-width: 32.3125rem)";
export const breakpointQueryAboveTablet = "(min-width: 50.3125rem)";
export const breakpointQueryMobile = "(max-width: 32.25rem)";
export const breakpointQueryTablet = "(max-width: 50.25rem)";
export const breakpointQueryTabletOnly = "(min-width: 32.3125rem) and (max-width: 50.25rem)";
export const breakpointTablet = "50.25rem";
export const buttonActiveBackgroundColor = "rgb(0, 106, 97)";
export const buttonActiveBackgroundImage = "none";
export const buttonActiveBoxShadow = "none";
export const buttonActiveColor = "rgb(255, 255, 255)";
export const buttonBackgroundColor = "rgb(0, 166, 152)";
export const buttonBorderRadius = ".375rem";
export const buttonBoxShadow = "none";
export const buttonColor = "rgb(255, 255, 255)";
export const buttonDestructiveActiveBackgroundColor = "rgb(255, 255, 255)";
export const buttonDestructiveActiveBorderColor = "rgb(209, 67, 91)";
export const buttonDestructiveActiveBoxShadow = "0 0 0 3px #d1435b inset";
export const buttonDestructiveActiveColor = "rgb(209, 67, 91)";
export const buttonDestructiveBackgroundColor = "rgb(255, 255, 255)";
export const buttonDestructiveBorderColor = "rgb(221, 221, 229)";
export const buttonDestructiveBoxShadow = "0 0 0 2px #DDDDE5 inset";
export const buttonDestructiveColor = "rgb(209, 67, 91)";
export const buttonDestructiveDisabledBackgroundColor = "rgb(221, 221, 229)";
export const buttonDestructiveDisabledBackgroundImage = "none";
export const buttonDestructiveDisabledBoxShadow = "none";
export const buttonDestructiveDisabledColor = "rgb(178, 178, 191)";
export const buttonDestructiveHoverBackgroundColor = "rgb(255, 255, 255)";
export const buttonDestructiveHoverBackgroundImage = "none";
export const buttonDestructiveHoverBorderColor = "rgb(209, 67, 91)";
export const buttonDestructiveHoverBoxShadow = "0 0 0 2px #d1435b inset";
export const buttonDestructiveHoverColor = "rgb(209, 67, 91)";
export const buttonDisabledBackgroundColor = "rgb(221, 221, 229)";
export const buttonDisabledBackgroundImage = "none";
export const buttonDisabledBoxShadow = "none";
export const buttonDisabledColor = "rgb(178, 178, 191)";
export const buttonFeaturedActiveBackgroundColor = "rgb(4, 39, 89)";
export const buttonFeaturedActiveBackgroundImage = "none";
export const buttonFeaturedActiveBoxShadow = "none";
export const buttonFeaturedActiveColor = "rgb(255, 255, 255)";
export const buttonFeaturedBackgroundColor = "rgb(7, 112, 227)";
export const buttonFeaturedBackgroundImage = "#0770e3";
export const buttonFeaturedColor = "rgb(255, 255, 255)";
export const buttonFeaturedDisabledBackgroundColor = "rgb(221, 221, 229)";
export const buttonFeaturedDisabledBackgroundImage = "none";
export const buttonFeaturedHoverBackgroundColor = "rgb(8, 78, 178)";
export const buttonFeaturedHoverBackgroundImage = "none";
export const buttonFeaturedHoverBoxShadow = "none";
export const buttonFeaturedHoverColor = "rgb(255, 255, 255)";
export const buttonFontSize = "1.1875rem";
export const buttonFontWeight = "700";
export const buttonGradientEndColor = "rgb(0, 166, 152)";
export const buttonGradientStartColor = "rgb(0, 166, 152)";
export const buttonHeight = "2.25rem";
export const buttonHoverBackgroundColor = "rgb(0, 136, 125)";
export const buttonHoverBackgroundImage = "none";
export const buttonHoverBoxShadow = "none";
export const buttonHoverColor = "rgb(255, 255, 255)";
export const buttonIconBorderRadius = "1.125rem";
export const buttonIconBorderRadiusLg = "1.3125rem";
export const buttonLargeFontSize = "1.5rem";
export const buttonLargeHeight = "3rem";
export const buttonLargeLineHeight = "1.875rem";
export const buttonLargePaddingX = "1.5rem";
export const buttonLargePaddingXIconOnly = ".5625rem";
export const buttonLargePaddingY = ".375rem";
export const buttonLineHeight = "1.5rem";
export const buttonOutlineActiveBackgroundColor = "rgba(0, 0, 0, 0)";
export const buttonOutlineActiveBorderColor = "rgb(255, 255, 255)";
export const buttonOutlineBackgroundColor = "rgba(0, 0, 0, 0)";
export const buttonOutlineBackgroundImage = "none";
export const buttonOutlineBorderColor = "rgb(255, 255, 255)";
export const buttonOutlineColor = "rgb(255, 255, 255)";
export const buttonOutlineDisabledBackgroundColor = "rgb(221, 221, 229)";
export const buttonOutlineDisabledBackgroundImage = "none";
export const buttonOutlineDisabledBoxShadow = "none";
export const buttonOutlineDisabledColor = "rgb(178, 178, 191)";
export const buttonOutlineHoverBackgroundColor = "rgba(0, 0, 0, 0)";
export const buttonOutlineHoverBorderColor = "rgb(255, 255, 255)";
export const buttonOutlineHoverBorderOpacity = "0.5";
export const buttonPaddingX = "1.125rem";
export const buttonPaddingXIconOnly = ".5625rem";
export const buttonPaddingY = ".375rem";
export const buttonSecondaryActiveBackgroundColor = "rgb(255, 255, 255)";
export const buttonSecondaryActiveBackgroundImage = "none";
export const buttonSecondaryActiveBorderColor = "rgb(8, 78, 178)";
export const buttonSecondaryActiveBoxShadow = "0 0 0 3px #084eb2 inset";
export const buttonSecondaryActiveColor = "rgb(8, 78, 178)";
export const buttonSecondaryBackgroundColor = "rgb(255, 255, 255)";
export const buttonSecondaryBackgroundImage = "none";
export const buttonSecondaryBorderColor = "rgb(221, 221, 229)";
export const buttonSecondaryBoxShadow = "0 0 0 2px #DDDDE5 inset";
export const buttonSecondaryColor = "rgb(7, 112, 227)";
export const buttonSecondaryDisabledBackgroundColor = "rgb(221, 221, 229)";
export const buttonSecondaryDisabledBackgroundImage = "none";
export const buttonSecondaryDisabledBoxShadow = "none";
export const buttonSecondaryDisabledColor = "rgb(178, 178, 191)";
export const buttonSecondaryHoverBackgroundColor = "rgb(255, 255, 255)";
export const buttonSecondaryHoverBackgroundImage = "none";
export const buttonSecondaryHoverBorderColor = "rgb(7, 112, 227)";
export const buttonSecondaryHoverBoxShadow = "0 0 0 2px #0770e3 inset";
export const buttonSecondaryHoverColor = "rgb(7, 112, 227)";
export const buttonSelectedActiveBackgroundColor = "rgb(4, 39, 89)";
export const buttonSelectedActiveBackgroundImage = "none";
export const buttonSelectedActiveBoxShadow = "none";
export const buttonSelectedActiveColor = "rgb(255, 255, 255)";
export const buttonSelectedBackgroundColor = "rgb(7, 112, 227)";
export const buttonSelectedBackgroundImage = "#084eb2";
export const buttonSelectedBoxShadow = "none";
export const buttonSelectedColor = "rgb(255, 255, 255)";
export const buttonSelectedDisabledBoxShadow = "none";
export const buttonSelectedHoverBackgroundColor = "rgb(8, 78, 178)";
export const buttonSelectedHoverBackgroundImage = "none";
export const buttonSelectedHoverBoxShadow = "none";
export const buttonSelectedHoverColor = "rgb(255, 255, 255)";
export const buttonTextAlign = "center";
export const calendarDayActiveBackgroundColor = "rgb(221, 221, 229)";
export const calendarDayActiveColor = "rgb(17, 18, 54)";
export const calendarDayColor = "rgb(7, 112, 227)";
export const calendarDayDisabledColor = "rgb(221, 221, 229)";
export const calendarDayFocusedBorderColor = "rgb(7, 112, 227)";
export const calendarDayFocusedColor = "rgb(7, 112, 227)";
export const calendarDayHoverBackgroundColor = "rgb(241, 242, 248)";
export const calendarDayHoverColor = "rgb(68, 69, 96)";
export const calendarDayOutsideColor = "rgb(178, 178, 191)";
export const calendarDaySelectedBackgroundColor = "rgb(8, 78, 178)";
export const calendarDaySelectedColor = "rgb(255, 255, 255)";
export const calendarDaySize = "2.250rem";
export const calendarDaySpacing = ".375rem";
export const calendarNavIconActiveFill = "rgb(4, 39, 89)";
export const calendarNavIconDisabledFill = "rgb(221, 221, 229)";
export const calendarNavIconFill = "rgb(7, 112, 227)";
export const calendarNavIconHoverFill = "rgb(8, 78, 178)";
export const calendarPadding = ".75rem";
export const cardBackgroundColor = "rgb(255, 255, 255)";
export const cardColor = "rgb(17, 18, 54)";
export const cardPadding = "1rem";
export const checkboxCheckedTickColor = "rgb(7, 112, 227)";
export const colorAbisko = "rgb(90, 72, 155)";
export const colorBagan = "rgb(255, 235, 208)";
export const colorBunol = "rgb(255, 123, 89)";
export const colorErfoud = "rgb(255, 181, 77)";
export const colorGlencoe = "rgb(115, 206, 198)";
export const colorHarbour = "rgb(246, 221, 225)";
export const colorHillier = "rgb(225, 139, 150)";
export const colorKolkata = "rgb(255, 148, 0)";
export const colorMonteverde = "rgb(0, 166, 152)";
export const colorNara = "rgb(255, 231, 224)";
export const colorPanjin = "rgb(209, 67, 91)";
export const colorPetra = "rgb(255, 171, 149)";
export const colorPrimaryGradientLight = "rgb(7, 112, 227)";
export const colorSagano = "rgb(208, 238, 236)";
export const colorSkyBlue = "rgb(7, 112, 227)";
export const colorSkyBlueShade01 = "rgb(8, 78, 178)";
export const colorSkyBlueShade02 = "rgb(4, 39, 89)";
export const colorSkyBlueShade03 = "rgb(2, 18, 44)";
export const colorSkyBlueTint01 = "rgb(109, 159, 235)";
export const colorSkyBlueTint02 = "rgb(157, 192, 242)";
export const colorSkyBlueTint03 = "rgb(205, 223, 248)";
export const colorSkyGray = "rgb(17, 18, 54)";
export const colorSkyGrayTint01 = "rgb(68, 69, 96)";
export const colorSkyGrayTint02 = "rgb(104, 105, 127)";
export const colorSkyGrayTint03 = "rgb(143, 144, 160)";
export const colorSkyGrayTint04 = "rgb(178, 178, 191)";
export const colorSkyGrayTint05 = "rgb(205, 205, 215)";
export const colorSkyGrayTint06 = "rgb(221, 221, 229)";
export const colorSkyGrayTint07 = "rgb(241, 242, 248)";
export const colorSystemGreen = "rgb(0, 166, 152)";
export const colorSystemRed = "rgb(209, 67, 91)";
export const colorTochigi = "rgb(225, 221, 236)";
export const colorValensole = "rgb(165, 155, 200)";
export const colorWhite = "rgb(255, 255, 255)";
export const durationBase = "400ms";
export const durationSm = "200ms";
export const durationXs = "50ms";
export const flareCornerRadius = "1.3125rem";
export const flareHeightDesktop = "1.5rem";
export const flareHeightMobile = "1rem";
export const fontColorBase = "rgb(17, 18, 54)";
export const fontFamilyBase = "'Skyscanner Relative', -apple-system, BlinkMacSystemFont, 'Roboto', 'Oxygen', 'Ubuntu', 'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue', sans-serif";
export const fontSizeBase = "1rem";
export const fontSizeLg = "1.25rem";
export const fontSizeRoot = "100%";
export const fontSizeSm = ".875rem";
export const fontSizeXl = "1.5rem";
export const fontSizeXs = ".75rem";
export const fontSizeXxl = "1.875rem";
export const fontSizeXxxl = "2.25rem";
export const fontSizeXxxxl = "2.625rem";
export const fontSizeXxxxxl = "3.75rem";
export const fontWeightBlack = "900";
export const fontWeightBold = "700";
export const formValidationArrowSize = ".375rem";
export const formValidationColor = "rgb(209, 67, 91)";
export const gridColumns = "12";
export const gridContainerMobilePadding = ".75rem";
export const gridContainerPadding = "1.5rem";
export const gridGutter = "1.5rem";
export const h1FontSize = "2.625rem";
export const h1FontWeight = "400";
export const h1LineHeight = "2.9375rem";
export const h2FontSize = "1.875rem";
export const h2FontWeight = "400";
export const h2LineHeight = "2.4375rem";
export const h3FontSize = "1.5rem";
export const h3FontWeight = "400";
export const h3LineHeight = "1.9375rem";
export const h4FontSize = "1rem";
export const h4FontWeight = "700";
export const h4LineHeight = "1.25rem";
export const h5FontSize = ".75rem";
export const h5FontWeight = "700";
export const h5LineHeight = "1rem";
export const h6FontSize = ".75rem";
export const h6FontWeight = "700";
export const h6LineHeight = "1rem";
export const headingContentMarginTop = "1.875rem";
export const headingMarginBottom = ".75rem";
export const headingMarginTop = "0";
export const horizontalNavBarSelectedColor = "rgb(7, 112, 227)";
export const horizontalNavLinkActiveColor = "rgb(17, 18, 54)";
export const horizontalNavLinkColor = "rgb(104, 105, 127)";
export const horizontalNavLinkHoverColor = "rgb(68, 69, 96)";
export const horizontalNavLinkSelectedColor = "rgb(7, 112, 227)";
export const iconSizeLg = "1.5rem";
export const iconSizeSm = "1.125rem";
export const inputBackground = "#ffffff";
export const inputBorder = "solid .0625rem #B2B2BF";
export const inputBorderRadius = ".25rem";
export const inputBorderWidth = ".0625rem";
export const inputColor = "rgb(17, 18, 54)";
export const inputDisabledBorderColor = "rgb(241, 242, 248)";
export const inputDisabledColor = "rgb(178, 178, 191)";
export const inputHeight = "2.25rem";
export const inputLargeHeight = "3rem";
export const inputPaddingX = "1rem";
export const inputPaddingY = ".5rem";
export const inputPlaceholderColor = "rgb(104, 105, 127)";
export const labelColor = "rgb(17, 18, 54)";
export const labelDisabledColor = "rgb(178, 178, 191)";
export const labelFontSize = ".75rem";
export const labelLineHeight = "1rem";
export const lineHeightBase = "1.25rem";
export const lineHeightLg = "1.625rem";
export const lineHeightSm = "1.125rem";
export const lineHeightXl = "1.9375rem";
export const lineHeightXs = "1rem";
export const lineHeightXxl = "2.4375rem";
export const lineHeightXxxl = "2.9375rem";
export const lineHeightXxxxl = "3.4375rem";
export const lineHeightXxxxxl = "4.875rem";
export const lineLightColor = "rgb(205, 205, 215)";
export const linkActiveColor = "rgb(4, 39, 89)";
export const linkAlternateActiveColor = "rgb(221, 221, 229)";
export const linkAlternateColor = "rgb(255, 255, 255)";
export const linkAlternateHoverColor = "rgb(255, 255, 255)";
export const linkAlternateVisitedColor = "rgb(255, 255, 255)";
export const linkColor = "rgb(7, 112, 227)";
export const linkHoverColor = "rgb(8, 78, 178)";
export const linkHoverTextDecoration = "underline";
export const linkTextDecoration = "none";
export const linkVisitedColor = "rgb(7, 112, 227)";
export const linkWhiteActiveColor = "rgb(221, 221, 229)";
export const linkWhiteColor = "rgb(255, 255, 255)";
export const linkWhiteHoverColor = "rgb(255, 255, 255)";
export const linkWhiteVisitedColor = "rgb(255, 255, 255)";
export const listItemMarginBottom = "0";
export const listItemMarginTop = "0";
export const listMarginBottom = ".75rem";
export const listMarginTop = "0";
export const listNestedMarginBottom = "0";
export const listNestedMarginTop = "0";
export const modalBackgroundColor = "rgb(255, 255, 255)";
export const modalContentPadding = "1rem";
export const modalHeaderPadding = ".75rem";
export const modalInitialOpacity = "0";
export const modalMaxWidth = "32.25rem";
export const modalOpacity = "1";
export const modalWideMaxWidth = "50.25rem";
export const onePixelRem = ".0625rem";
export const panelBackgroundColor = "rgb(255, 255, 255)";
export const panelBorderColor = "rgb(221, 221, 229)";
export const panelPadding = ".75rem";
export const primaryGradient = "#0770e3";
export const primaryLightColor = "rgb(7, 112, 227)";
export const pMarginBottom = ".75rem";
export const pMarginTop = "0";
export const radioCheckedCircleColor = "rgb(7, 112, 227)";
export const ratingBaseHeight = ".75rem * 4";
export const ratingBaseWidth = ".75rem * 4";
export const ratingLgHeight = "1.875rem * 2";
export const ratingLgWidth = "1.875rem * 2";
export const ratingSmHeight = ".75rem * 3";
export const ratingSmWidth = ".75rem * 3";
export const requiredColor = "rgb(209, 67, 91)";
export const scrimBackgroundColor = "rgb(178, 178, 191)";
export const scrimDarkBackgroundColor = "rgb(17, 18, 54)";
export const scrimDarkOpacity = ".95";
export const scrimInitialOpacity = "0";
export const scrimMobileOpacity = "1";
export const scrimOpacity = ".7";
export const selectBorder = "solid .0625rem #B2B2BF";
export const selectBorderRadius = ".25rem";
export const selectBorderWidth = ".0625rem";
export const selectColor = "rgb(17, 18, 54)";
export const selectDisabledBorderColor = "rgb(241, 242, 248)";
export const selectDisabledColor = "rgb(178, 178, 191)";
export const selectHeight = "2.250rem";
export const selectLargeHeight = "2.625rem + .375rem";
export const selectPaddingBottom = ".375rem";
export const selectPaddingLeft = ".75rem";
export const selectPaddingRight = "1.875rem";
export const selectPaddingTop = ".375rem";
export const spacingBase = "1.5rem";
export const spacingIconText = ".5rem";
export const spacingLg = "1.875rem";
export const spacingMd = "1.125rem";
export const spacingNone = "0";
export const spacingSm = ".75rem";
export const spacingXl = "2.250rem";
export const spacingXs = ".375rem";
export const spacingXxl = "2.625rem";
export const stateSelectedBackgroundColor = "rgb(8, 78, 178)";
export const textareaMinHeight = "2.625rem * 2";
export const textBaseFontSize = "1rem";
export const textBaseFontWeight = "400";
export const textBaseLetterSpacing = "normal";
export const textBaseLineHeight = "1.25rem";
export const textLgFontSize = "1.25rem";
export const textLgFontWeight = "400";
export const textLgLetterSpacing = "normal";
export const textLgLineHeight = "1.625rem";
export const textPrimaryLightColor = "rgb(17, 18, 54)";
export const textQuaternaryLightColor = "rgb(143, 144, 160)";
export const textSecondaryLightColor = "rgb(68, 69, 96)";
export const textSmFontSize = ".875rem";
export const textSmFontWeight = "400";
export const textSmLetterSpacing = "normal";
export const textSmLineHeight = "1.125rem";
export const textTertiaryLightColor = "rgb(143, 144, 160)";
export const textXlFontSize = "1.5rem";
export const textXlFontWeight = "400";
export const textXlLetterSpacing = "normal";
export const textXlLineHeight = "1.9375rem";
export const textXsFontSize = ".75rem";
export const textXsFontWeight = "400";
export const textXsLetterSpacing = "normal";
export const textXsLineHeight = "1rem";
export const textXxlFontSize = "1.875rem";
export const textXxlFontWeight = "400";
export const textXxlLetterSpacing = "normal";
export const textXxlLineHeight = "2.4375rem";
export const textXxxlFontSize = "2.25rem";
export const textXxxlFontWeight = "400";
export const textXxxlLineHeight = "2.9375rem";
export const textXxxxlFontSize = "2.625rem";
export const textXxxxlFontWeight = "400";
export const textXxxxlLineHeight = "3.4375rem";
export const textXxxxxlFontSize = "3.75rem";
export const textXxxxxlFontWeight = "400";
export const textXxxxxlLineHeight = "4.875rem";
export const zindexAutosuggest = "900";
export const zindexDrawer = "1100";
export const zindexModal = "1100";
export const zindexPopover = "900";
export const zindexScrim = "1000";
export const zindexTooltip = "900";
export const animations = {
durationBase,
durationSm,
durationXs,
};
export const autosuggest = {
autosuggestListBackgroundColor,
autosuggestListItemActiveBackgroundColor,
autosuggestListItemHighlightedBackgroundColor,
};
export const badges = {
badgeBackgroundColor,
badgeCenteredVerticalAlign,
badgePaddingX,
badgePaddingY,
};
export const borders = {
borderSizeLg,
borderSizeSm,
borderSizeXl,
};
export const boxShadows = {
boxShadowLg,
boxShadowSm,
boxShadowXl,
};
export const breakpoints = {
breakpointDesktop,
breakpointMobile,
breakpointQueryAboveDesktop,
breakpointQueryAboveMobile,
breakpointQueryAboveTablet,
breakpointQueryMobile,
breakpointQueryTablet,
breakpointQueryTabletOnly,
breakpointTablet,
};
export const buttons = {
buttonActiveBackgroundColor,
buttonActiveBackgroundImage,
buttonActiveBoxShadow,
buttonActiveColor,
buttonBackgroundColor,
buttonBorderRadius,
buttonBoxShadow,
buttonColor,
buttonDestructiveActiveBackgroundColor,
buttonDestructiveActiveBorderColor,
buttonDestructiveActiveBoxShadow,
buttonDestructiveActiveColor,
buttonDestructiveBackgroundColor,
buttonDestructiveBorderColor,
buttonDestructiveBoxShadow,
buttonDestructiveColor,
buttonDestructiveDisabledBackgroundColor,
buttonDestructiveDisabledBackgroundImage,
buttonDestructiveDisabledBoxShadow,
buttonDestructiveDisabledColor,
buttonDestructiveHoverBackgroundColor,
buttonDestructiveHoverBackgroundImage,
buttonDestructiveHoverBorderColor,
buttonDestructiveHoverBoxShadow,
buttonDestructiveHoverColor,
buttonDisabledBackgroundColor,
buttonDisabledBackgroundImage,
buttonDisabledBoxShadow,
buttonDisabledColor,
buttonFeaturedActiveBackgroundColor,
buttonFeaturedActiveBackgroundImage,
buttonFeaturedActiveBoxShadow,
buttonFeaturedActiveColor,
buttonFeaturedBackgroundColor,
buttonFeaturedBackgroundImage,
buttonFeaturedColor,
buttonFeaturedDisabledBackgroundColor,
buttonFeaturedDisabledBackgroundImage,
buttonFeaturedHoverBackgroundColor,
buttonFeaturedHoverBackgroundImage,
buttonFeaturedHoverBoxShadow,
buttonFeaturedHoverColor,
buttonFontWeight,
buttonGradientEndColor,
buttonGradientStartColor,
buttonHeight,
buttonHoverBackgroundColor,
buttonHoverBackgroundImage,
buttonHoverBoxShadow,
buttonHoverColor,
buttonIconBorderRadius,
buttonIconBorderRadiusLg,
buttonLargeFontSize,
buttonLargeHeight,
buttonLargeLineHeight,
buttonLargePaddingX,
buttonLargePaddingXIconOnly,
buttonLargePaddingY,
buttonLineHeight,
buttonOutlineActiveBackgroundColor,
buttonOutlineActiveBorderColor,
buttonOutlineBackgroundColor,
buttonOutlineBackgroundImage,
buttonOutlineBorderColor,
buttonOutlineColor,
buttonOutlineDisabledBackgroundColor,
buttonOutlineDisabledBackgroundImage,
buttonOutlineDisabledBoxShadow,
buttonOutlineDisabledColor,
buttonOutlineHoverBackgroundColor,
buttonOutlineHoverBorderColor,
buttonOutlineHoverBorderOpacity,
buttonPaddingX,
buttonPaddingXIconOnly,
buttonPaddingY,
buttonSecondaryActiveBackgroundColor,
buttonSecondaryActiveBackgroundImage,
buttonSecondaryActiveBorderColor,
buttonSecondaryActiveBoxShadow,
buttonSecondaryActiveColor,
buttonSecondaryBackgroundColor,
buttonSecondaryBackgroundImage,
buttonSecondaryBorderColor,
buttonSecondaryBoxShadow,
buttonSecondaryColor,
buttonSecondaryDisabledBackgroundColor,
buttonSecondaryDisabledBackgroundImage,
buttonSecondaryDisabledBoxShadow,
buttonSecondaryDisabledColor,
buttonSecondaryHoverBackgroundColor,
buttonSecondaryHoverBackgroundImage,
buttonSecondaryHoverBorderColor,
buttonSecondaryHoverBoxShadow,
buttonSecondaryHoverColor,
buttonSelectedActiveBackgroundColor,
buttonSelectedActiveBackgroundImage,
buttonSelectedActiveBoxShadow,
buttonSelectedActiveColor,
buttonSelectedBackgroundColor,
buttonSelectedBackgroundImage,
buttonSelectedBoxShadow,
buttonSelectedColor,
buttonSelectedDisabledBoxShadow,
buttonSelectedHoverBackgroundColor,
buttonSelectedHoverBackgroundImage,
buttonSelectedHoverBoxShadow,
buttonSelectedHoverColor,
buttonTextAlign,
};
export const calendar = {
calendarDayActiveBackgroundColor,
calendarDayActiveColor,
calendarDayColor,
calendarDayDisabledColor,
calendarDayFocusedBorderColor,
calendarDayFocusedColor,
calendarDayHoverBackgroundColor,
calendarDayHoverColor,
calendarDayOutsideColor,
calendarDaySelectedBackgroundColor,
calendarDaySelectedColor,
calendarDaySize,
calendarDaySpacing,
calendarNavIconActiveFill,
calendarNavIconDisabledFill,
calendarNavIconFill,
calendarNavIconHoverFill,
calendarPadding,
};
export const cards = {
cardBackgroundColor,
cardColor,
cardPadding,
};
export const colors = {
backgroundAlternativeLightColor,
backgroundAlternativeSecondaryLightColor,
backgroundLightColor,
backgroundSecondaryLightColor,
backgroundTertiaryLightColor,
colorAbisko,
colorBagan,
colorBunol,
colorErfoud,
colorGlencoe,
colorHarbour,
colorHillier,
colorKolkata,
colorMonteverde,
colorNara,
colorPanjin,
colorPetra,
colorPrimaryGradientLight,
colorSagano,
colorSkyBlue,
colorSkyBlueShade01,
colorSkyBlueShade02,
colorSkyBlueShade03,
colorSkyBlueTint01,
colorSkyBlueTint02,
colorSkyBlueTint03,
colorSkyGray,
colorSkyGrayTint01,
colorSkyGrayTint02,
colorSkyGrayTint03,
colorSkyGrayTint04,
colorSkyGrayTint05,
colorSkyGrayTint06,
colorSkyGrayTint07,
colorSystemGreen,
colorSystemRed,
colorTochigi,
colorValensole,
colorWhite,
lineLightColor,
primaryGradient,
primaryLightColor,
};
export const flare = {
flareCornerRadius,
flareHeightDesktop,
flareHeightMobile,
};
export const fontSizes = {
buttonFontSize,
h1FontSize,
h2FontSize,
h3FontSize,
h4FontSize,
h5FontSize,
h6FontSize,
textBaseFontSize,
textLgFontSize,
textSmFontSize,
textXlFontSize,
textXsFontSize,
textXxlFontSize,
textXxxlFontSize,
textXxxxlFontSize,
textXxxxxlFontSize,
};
export const fontWeights = {
fontWeightBlack,
fontWeightBold,
h1FontWeight,
h2FontWeight,
h3FontWeight,
h4FontWeight,
h5FontWeight,
h6FontWeight,
textBaseFontWeight,
textLgFontWeight,
textSmFontWeight,
textXlFontWeight,
textXsFontWeight,
textXxlFontWeight,
textXxxlFontWeight,
textXxxxlFontWeight,
textXxxxxlFontWeight,
};
export const forms = {
checkboxCheckedTickColor,
formValidationArrowSize,
formValidationColor,
inputBackground,
inputBorder,
inputBorderRadius,
inputBorderWidth,
inputColor,
inputDisabledBorderColor,
inputDisabledColor,
inputHeight,
inputLargeHeight,
inputPaddingX,
inputPaddingY,
inputPlaceholderColor,
labelColor,
labelDisabledColor,
labelFontSize,
labelLineHeight,
radioCheckedCircleColor,
requiredColor,
selectBorder,
selectBorderRadius,
selectBorderWidth,
selectColor,
selectDisabledBorderColor,
selectDisabledColor,
selectHeight,
selectLargeHeight,
selectPaddingBottom,
selectPaddingLeft,
selectPaddingRight,
selectPaddingTop,
textareaMinHeight,
};
export const grids = {
gridColumns,
gridContainerMobilePadding,
gridContainerPadding,
gridGutter,
};
export const horizontalNav = {
horizontalNavBarSelectedColor,
horizontalNavLinkActiveColor,
horizontalNavLinkColor,
horizontalNavLinkHoverColor,
horizontalNavLinkSelectedColor,
};
export const icons = {
iconSizeLg,
iconSizeSm,
};
export const letterSpacings = {
textBaseLetterSpacing,
textLgLetterSpacing,
textSmLetterSpacing,
textXlLetterSpacing,
textXsLetterSpacing,
textXxlLetterSpacing,
};
export const lineHeights = {
h1LineHeight,
h2LineHeight,
h3LineHeight,
h4LineHeight,
h5LineHeight,
h6LineHeight,
textBaseLineHeight,
textLgLineHeight,
textSmLineHeight,
textXlLineHeight,
textXsLineHeight,
textXxlLineHeight,
textXxxlLineHeight,
textXxxxlLineHeight,
textXxxxxlLineHeight,
};
export const modals = {
modalBackgroundColor,
modalContentPadding,
modalHeaderPadding,
modalInitialOpacity,
modalMaxWidth,
modalOpacity,
modalWideMaxWidth,
};
export const notifications = {
bannerAlertBackgroundColor,
bannerAlertChildrenColor,
bannerAlertChildrenPaddingX,
bannerAlertChildrenPaddingY,
bannerAlertErrorColor,
bannerAlertEventColor,
bannerAlertExpandIconFill,
bannerAlertHeaderExpandableActiveBackgroundColor,
bannerAlertHeaderExpandableHoverBackgroundColor,
bannerAlertHeaderPaddingX,
bannerAlertHeaderPaddingY,
bannerAlertNeutralColor,
bannerAlertPrimaryColor,
bannerAlertSuccessColor,
bannerAlertWarnColor,
};
export const panels = {
panelBackgroundColor,
panelBorderColor,
panelPadding,
};
export const radii = {
borderRadiusMd,
borderRadiusPill,
borderRadiusPillLg,
borderRadiusSm,
borderRadiusXs,
};
export const ratings = {
ratingBaseHeight,
ratingBaseWidth,
ratingLgHeight,
ratingLgWidth,
ratingSmHeight,
ratingSmWidth,
};
export const scrims = {
scrimBackgroundColor,
scrimDarkBackgroundColor,
scrimDarkOpacity,
scrimInitialOpacity,
scrimMobileOpacity,
scrimOpacity,
};
export const spacings = {
headingContentMarginTop,
headingMarginBottom,
headingMarginTop,
listItemMarginBottom,
listItemMarginTop,
listMarginBottom,
listMarginTop,
listNestedMarginBottom,
listNestedMarginTop,
onePixelRem,
pMarginBottom,
pMarginTop,
spacingBase,
spacingIconText,
spacingLg,
spacingMd,
spacingNone,
spacingSm,
spacingXl,
spacingXs,
spacingXxl,
};
export const states = {
stateSelectedBackgroundColor,
};
export const textColors = {
fontColorBase,
linkActiveColor,
linkAlternateActiveColor,
linkAlternateColor,
linkAlternateHoverColor,
linkAlternateVisitedColor,
linkColor,
linkHoverColor,
linkVisitedColor,
linkWhiteActiveColor,
linkWhiteColor,
linkWhiteHoverColor,
linkWhiteVisitedColor,
textPrimaryLightColor,
textQuaternaryLightColor,
textSecondaryLightColor,
textTertiaryLightColor,
};
export const textDecorations = {
linkHoverTextDecoration,
linkTextDecoration,
};
export const typesettings = {
fontFamilyBase,
fontSizeBase,
fontSizeLg,
fontSizeRoot,
fontSizeSm,
fontSizeXl,
fontSizeXs,
fontSizeXxl,
fontSizeXxxl,
fontSizeXxxxl,
fontSizeXxxxxl,
lineHeightBase,
lineHeightLg,
lineHeightSm,
lineHeightXl,
lineHeightXs,
lineHeightXxl,
lineHeightXxxl,
lineHeightXxxxl,
lineHeightXxxxxl,
};
export const zIndices = {
zindexAutosuggest,
zindexDrawer,
zindexModal,
zindexPopover,
zindexScrim,
zindexTooltip,
};